﻿using System;
using System.Windows.Media;
using XamDataGrid_CellBinding_CS.Infrastructure;

namespace XamDataGrid_CellBinding_CS.Model
{
    class TaskItem : NotificationObject
    {
        private int _id;
        public int ID
        {
            get
            {
                return _id;
            }
            set
            {
                _id = value;
                OnPropertyChanged();
            }
        }
        private string _title;
        public string Title
        {
            get
            {
                return _title;
            }
            set
            {
                _title = value;
                OnPropertyChanged();
            }
        }
        private DateTime _due;
        public DateTime Due
        {
            get
            {
                return _due;
            }
            set
            {
                _due = value;
                OnPropertyChanged();
            }
        }
        private bool _isCompleted;
        public bool IsCompleted
        {
            get
            {
                return _isCompleted;
            }
            set
            {
                _isCompleted = value;
                OnPropertyChanged();
            }
        }

        private Brush _foregroundColor;
        public Brush ForegroundColor
        {
            get
            {
                return _foregroundColor;
            }
            set
            {
                _foregroundColor = value;
                OnPropertyChanged();
            }
        }
    }
}
